<!-- TODO: Remove as this is created for demo purpose only -->
<script lang="ts">
import type { PageMeta } from '@vitebook/client';

export const __pageMeta: PageMeta = {
  title: 'FpButton',
  description: 'My awesome FpButton.',
};
</script>

<script setup lang="ts">
import FpButton from './FpButton.vue';
import {
  ControlsAddon,
  EventsAddon,
  eventCallback,
} from '@vitebook/vue/addons';
import { Variant } from '@vitebook/vue';

import { ref } from 'vue';

const title = ref('Click Me');
</script>

<template>
  <Variant name="Default" description="The default FpButton.">
    <FpButton @click="eventCallback">{{ title }}</FpButton>
  </Variant>

  <Variant
    name="Disabled"
    description="The disabled FpButton."
  >
    <FpButton>{{ title }}</FpButton>
  </Variant>

  <ControlsAddon>
    <label>Title <input type="text" v-model="title" /></label>
    <label style="margin-top: 24px">
    </label>
  </ControlsAddon>

  <EventsAddon />
</template>
